CREATE TABLE if not exists articles (
	noart integer NOT NULL,
	libelle character varying(32) NOT NULL,
	stock integer DEFAULT 0 NOT NULL,
	prixinvent real NOT NULL,
	CONSTRAINT articles_stock_check CHECK ((stock >= 0)),
	primary key (noart)
);

CREATE TABLE if not exists fournisseurs (
	nofour integer NOT NULL,
	nomfour character varying(16) NOT NULL,
	adrfour character varying(32),
	villefour character varying(16),
	primary key (nofour)
);

CREATE TABLE if not exists acheter (
	nofour integer NOT NULL,
	noart integer NOT NULL,
	prixachat real NOT NULL,
	delai integer NOT NULL,
	CONSTRAINT acheter_delai_check CHECK ((delai >= 0)),
	primary key (nofour,noart),
	foreign key (nofour) references fournisseurs,
	foreign key (noart) references articles
);

insert into articles values
	(100,'HP Deskjet 930C',10,181.410004),
	(101,'Scanner Epson Perfection',12,150.919998),
	(102,'Zip 250Mo USB',8,272.880005),
	(103,'App Photo Numerique',5,836.950012),
	(104,'Fax Modem V92',20,75),
	(105,'Cam Sony DCR',4,2230.65991),
	(106,'Cable USB',80,8.38000011),
	(107,'Hub 4 ports USB',35,48.7799988),
	(108,'Papier couche 100 A4',110,12);

insert into fournisseurs values
	(10,'STE LIGER','13 RUE DES ALLIES','PARIS'),
	(11,'ORKIS','22 BLD DES BELGES','RENNES'),
	(12,'STE IMPEC','3 BIS IMPASSE DES CLERCS','MARSEILLE'),
	(13,'STE LE DUC','101 AVENUE MARECHAL FOCH','BORDEAUX'),
	(14,'BUROTIC',NULL,NULL),
	(15,'KBSS','42 COURS VITTON','LYON'),
	(16,'COOP ACHAT','54 RUE DE LA PAIX','NIORT'),
	(17,'PRINT42','32 AVENUE DES PLATANES','VALENCE'),
	(18,'STE PROTEC','92 RUE DE LA REPUBLIQUE','TOULOUSE'),
	(19,'PIMS','50 BLD DES ALOUETTES','GRENOBLE');

insert into acheter values
	(10,104,76.2600021,14),
	(11,105,2199,2),
	(11,108,11.5,5),
	(12,100,185.199997,40),
	(12,106,8.38000011,20),
	(13,103,835,23),
	(14,102,260.5,3),
	(14,108,12,4),
	(15,100,180,23),
	(15,107,45.4700012,2),
	(16,101,150.199997,17),
	(15,106,9,20),
	(11,101,140,30);
